/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file callback.h    for communication with renderer animator and modeller */

#define IDM_CALLBACK_FSCRIPT         4000
#define IDM_CALLBACK_ASCRIPT         4001
#define IDM_CALLBACK_SHUTDOWN        4002
#define IDM_CALLBACK_SETUP_PREVIEW   4003
#define IDM_CALLBACK_LOAD_MODELER    4004
#define IDM_CALLBACK_SETUP           4005
#define IDM_CALLBACK_RELOAD          4006
#define IDM_CALLBACK_NORELOAD        4007
#define IDM_CALLBACK_CANCEL          4008
#define IDM_CALLBACK_RUN             4009

#define IDM_CALLBACK_SETUP_ANIMATOR  (WM_USER+0)
#define IDM_CALLBACK_SETUP_MODELLER  (WM_USER+1)
#define IDM_CALLBACK_HIDDENLINE      (WM_USER+2)
#define WM_CALLBACK_RENDER_GL        (WM_USER+3)
#define WM_CALLBACK_RENDER_GL_SWITCH (WM_USER+4)
#define WM_CALLBACK_MATERIAL         (WM_USER+5)
#define WM_CALLBACK_ABANDON          (WM_USER+6)


