/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file DSTRUCT.H  animator include defines for external functions */

#define  gszHomeDir          (lpEVI->gszHomeDir)

#define  MainNp              (*(lpEVI->MainNp))
#define  FirstNp             (*(lpEVI->FirstNp))
#define  SelectedNode        (*(lpEVI->SelectedNode))
#define  SelectedCamera      (*(lpEVI->SelectedCamera))
#define  Nframes             (*(lpEVI->Nframes))
#define  CurrentFrame        (*(lpEVI->CurrentFrame))
#define  NpointerX           (*(lpEVI->NpointerX))
#define  NpointerY           (*(lpEVI->NpointerY))
#define  NpointerZ           (*(lpEVI->NpointerZ))
#define  TVsizeX             (*(lpEVI->TVsizeX))
#define  TVsizeY             (*(lpEVI->TVsizeY))
#define  TVsizeZ             (*(lpEVI->TVsizeZ))
#define  TVpointX            (*(lpEVI->TVpointX))
#define  TVpointY            (*(lpEVI->TVpointY))
#define  TVpointZ            (*(lpEVI->TVpointZ))

#define  GetTransform(a,f,d,N,O,p,q,x,y,z,u,v,w,i,b)    \
                             (lpEVI->fpGetTransform(a,f,d,N,O,p,q,x,y,z,u,v,w,i,b))
#define  scal(m,x,y,z)       (lpEVI->fp_scal(m,x,y,z))
#define  rotz(m,a)           (lpEVI->fp_rotz(m,a))
#define  roty(m,a)           (lpEVI->fp_roty(m,a))
#define  rotx(m,a)           (lpEVI->fp_rotx(m,a))
#define  tram(m,a,b,c)       (lpEVI->fp_tram(m,a,b,c))
#define  m4by4(a,b,c)        (lpEVI->fp_m4by4(a,b,c))
#define  m4by1(m,a,b,c,x,y,z) \
                             (lpEVI->*fp_m4by1(m,a,b,c,x,y,z))
#define  null_transform(m)   (lpEVI->fp_null_transform(m))
#define  c4to4(a,b)          (lpEVI->fp_c4to4(a,b))
#define  arbitrary_rotate(a,p,q,m) \
                             (lpEVI->fp_arbitrary_rotate(a,p,q,m))
#define  L_cross(a,b,c,d)    (lpEVI->fp_L_cross(a,b,c,d))
#define  DrawPerspectiveView(i,j,d,w,p) \
                             (lpEVI->fpDrawPerspectiveView(i,j,d,w,p))
#define CreateNode()         (lpEVI->fpCreateNode())
#define CreateActor(n,i,j)   (lpEVI->fpCreateActor(n,i,j))
#define CreateSky(n,i,j)     (lpEVI->fpCreateSky(n,i,j))
#define CreateSize(n,i,j)    (lpEVI->fpCreateSize(n,i,j))
#define CreateAlign(n,i,j)   (lpEVI->fpCreateAlign(n,i,j))
#define CreatePosition(n,i,j) \
                             (lpEVI->fpCreatePosition(n,i,j))
#define DeleteNode(n)        (lpEVI->fpDeleteNode(n))
#define DeleteActor(n,i)     (lpEVI->fpDeleteActor(n,i))
#define SetNumberOfFrames(n) (lpEVI->fpSetNumberOfFrames(n))
#define SelectFileName(i,f,d,ff,t,w) \
                             (lpEVI->fpChooseFile(i,f,d,ff,t,w))
#define ChooseFile(i,f,d,ff,t,w) \
                             (lpEVI->fpChooseFile(i,f,d,ff,t,w))
#define SetColour(c,t,w)     (lpEVI->fpChooseColour(c,t,w))
#define CentreDlgOnC(a)      (lpEVI->fpCentreDlgOnC(a))
#define CentreDlgOnS(a)      (lpEVI->fpCentreDlgOnS(a))
#define ChooseColour(c,t,w)  (lpEVI->fpChooseColour(c,t,w))
#define StageLoadObject(f,o,v,c,r) \
                             (lpEVI->fpStageLoadObject(f,o,v,c,r))
#define  AppendFileExtension(a,b)\
                             (lpEVI->fpAppendFileExtension(a,b))
#define RequestNumEntry(v,n,x,t,m) \
                             (lpEVI->fpRequestNumEntry(v,n,x,t,m))
#define SelectNodeID(w)      (lpEVI->fpSelectNodeID(w))


static ANI_STRUCTURE *lpEVI;

