#   makefile for player
#   use parametets CPU= ???  nt=1   sc/wc/cc/vc/bc
NTX=
!IFDEF nt
NTX=-D__X__NT__=1
!ENDIF
PROJ = PLAYER
RC = rc
RCFLAGS = -r

!IF "$(CPU)" == "mips"

CC = cl -c -nologo  -Zp2 -D__X__NT__=1 -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link
#CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE
#LFLAGS = $(CFLAGS) /NOLOGO /SUBSYSTEM:windows /NODEFAULTLIB /MACHINE:MIPS
#LIBS =libc.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIF "$(CPU)" == "alpha"

CC = cl -Zp2 -c -nologo  -D__X__NT__=1 -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows,4.0
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ELSE
#                             Ix86 processors
!IFDEF     cc
CC = cl -Zp2 -c -nologo -G5 -D__X__NT__=1 -DWIN32
LINK = link
CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE
LFLAGS = $(CFLAGS) /NOLOGO /SUBSYSTEM:windows,4.0 /NODEFAULTLIB /MACHINE:IX86
LIBS =libc.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIFDEF  wc
#CC = wcc386  -Zp2 -5s -j -fpi87 -s -oimr -bt=nt $(NTX)
CC = wcc386  -Zp2 -5s  -j -fpi87 -s  -bt=nt $(NTX)
LINK = wlink
RC = WRC

!ELSEIFDEF sc
CC=SC -mn -4 -a2 -c -ff $(NTX)
LINK = link386

!ELSEIFDEF bc
WARNS=-w-aus -w-par -w-rch  -w-ccc
CC=bcc32 -c -5 -W $(WARNS) -ff -K- -D__WATCOMC__=1 -D__NT__=1 $(NTX)
LINK = tlink32
RC = BRC32

!ELSE
CC = cl -Zp2 -c -nologo -G5 $(NTX) -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows,4.0
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib # vfw32.lib
LINK = link

!ENDIF

!ENDIF

HH=viewer.h
C0=player.obj

!IFDEF wc
winplay.exe: $(C0)
       echo >NUL @<<$(PROJ).CRF
file $(C0)
name player.exe
option CASEEXACT
option osname='Windows NT windowed'
lib vfw32.lib
lib comctl32.lib
libpath %WATCOM%\lib386
libpath %WATCOM%\lib386\nt
format windows nt ^
lib nt
RUNTIME windows=4.0
<<
 $(LINK) @$(PROJ).CRF
 $(RC) -bt=nt player.rc
 copy player.exe ..\winplay.exe
 del player.exe

!ELSEIFDEF sc
winplay.exe: $(C0)  player.res;
       echo >NUL @<<$(PROJ).DEF
NAME
DESCRIPTION  'VIEWER'
EXETYPE    NT
SUBSYSTEM  WINDOWS
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
..\winplay
NUL
COMDLG32.LIB KERNEL32.LIB GDI32.LIB USER32.LIB
$(PROJ).def
player.res
/NOI
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ELSEIFDEF bc
winplay.exe: $(C0) player.res;
       echo >NUL @<<$(PROJ).DEF
NAME
DESCRIPTION 'Viewer'
EXETYPE    WINDOWS
EXPORTS
<<
       echo >NUL @<<$(PROJ).CRF
/Tpe /c c:\bc4\lib\c0w32+
player
..\winplay,
c:\bc4\lib\cw32+c:\bc4\lib\import32
$(PROJ).def
player.res
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ELSE
winplay.exe: $(C0) player.res;
       echo >NUL @<<$(PROJ).CRF
$(C0)
-OUT:..\winplay.EXE
player.RES
$(LIBS)
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ENDIF

player.obj: player.c $(HH)
  $(CC) player.c

player.res: $(HH) player.rc
  $(RC) $(RCFLAGS) player.rc


