#  makefile for GLVIEW

PROJ = 3DSCON
RC = rc

!IF "$(CPU)" == "mips"
CC = cl -c -nologo  -DWIN32 -D__X__NT__=1
CFLAGS =
LIBS0 =
#LIBS0 = crtdll.lib
#CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE /NODEFAULTLIB /MACHINE:$(SYS)
SYS=MIPS

!ELSEIF "$(CPU)" == "alpha"
CC = cl -c -nologo  -DWIN32 -D__X__NT__=1
CFLAGS =
LIBS0 =
SYS=ALPHA
!ELSE
! ifdef cc
CC = cl -c -nologo -G5 -DWIN32 -D__X__NT__=1
LIBS0 = crtdll.lib
CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE /NODEFAULTLIB /MACHINE:$(SYS)
SYS=IX86
! elseifdef wc
CC = wcc386  -Zp8 -5s -j -fpi87 -s -oimr -bd -bt=nt $(NTX) $(DEMO)
LINK = wlink
RC = WRC
! else
CC = cl -c -nologo  -DWIN32 $(NTX)
CFLAGS =
LIBS0=
! endif
!ENDIF

LFLAGS = $(CFLAGS) /NOLOGO /SUBSYSTEM:windows
LIBS1 = $(LIBS0) kernel32.lib user32.lib gdi32.lib shell32.lib
INC = 3dscon.h

C0=3dscon.obj 3dscon1.obj  3dscon.res

! ifdef wc

3dscon.exe: $(C0)
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export _Convert
file 3dscon.obj
file 3dscon1.obj
name $(PROJ).exe
option CASEEXACT
option MAP
<<
 $(LINK) @$(PROJ).CRF
 $(RC) -bt=nt 3dscon.rc
 copy $(PROJ).exe ..\3dscon.dll
 del $(PROJ).exe

!else

3dscon.dll: $(C0)
       echo >NUL @<<$(PROJ).DEF
LIBRARY 3dscon
EXPORTS
_Convert @2
<<
       echo >NUL @<<$(PROJ).CRF
3dscon.obj
3dscon1.obj
3dscon.res
$(LIBS1)
$(LIBS2)
-DEF:$(PROJ).DEF
-DLL
-OUT:..\3dscon.dll
<<
 link $(LFLAGS) @$(PROJ).CRF

! endif

3dscon.obj: 3dscon.c $(INC)
  $(CC) 3dscon.c

3dscon1.obj: 3dscon1.c $(INC)
  $(CC) 3dscon1.c

3dscon.res: 3dscon.rc $(INC)
  $(RC) -r 3dscon.rc
