/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file ATM.H  ATM font DLL */

typedef unsigned char byte;

typedef struct TWO_INTEGERS {  /* two integers */
  short i,com;
} two_integers;

typedef struct {  /* the program for each character */
  int n;
  struct TWO_INTEGERS *p;
} character_program;

#define MEMFAIL 2

typedef struct tagATM_STRUCTURE {  /* stucture for atm fonts */
 int ATM_bevel_front,ATM_bevel_back,ATM_bevel_angle,
     ATM_bevel_width,ATM_chara_width,ATM_char_preview,
     ATM_cap,ATM_offset,FORB;
 char last_ATM_font[128],ATM_Letters[64];
 unsigned char ATM_face_colour[3],ATM_side_colour[3],ATM_beve_colour[3];
} ATM_STRUCTURE;
