/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file des_res.c resource only DLL for Designer */

#include <windows.h>

static HINSTANCE hInstance;

#if __WATCOMC__
int APIENTRY LibMain(HANDLE hDLL, DWORD dwReason, LPVOID lpReserved){
#else
int APIENTRY DllMain(HANDLE hDLL, DWORD dwReason, LPVOID lpReserved){
#endif
  static BOOL unregister=TRUE;
  switch (dwReason) {
    case DLL_PROCESS_ATTACH: {
      hInstance=hDLL;
//    MessageBox (GetFocus(),"Resource","Process attaching",MB_OK|MB_SYSTEMMODAL);
      break;
    }
    case DLL_PROCESS_DETACH:
//    MessageBox (GetFocus(),"Resource","Process detaching",MB_OK|MB_SYSTEMMODAL);
      break;
  }
  return (int)TRUE;
}

HINSTANCE ResourceX(void){
 return hInstance;
}
