#  makefile for GLVIEW

PROJ = DXFCON
RC = rc

!IF "$(CPU)" == "mips"
CC = cl -c -nologo  -DWIN32 -D__X__NT__=1
CFLAGS =
LIBS0 =
#LIBS0 = crtdll.lib
#CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE /NODEFAULTLIB /MACHINE:$(SYS)
SYS=MIPS

!ELSEIF "$(CPU)" == "alpha"
CC = cl -c -nologo  -DWIN32 -D__X__NT__=1
CFLAGS =
LIBS0 =
SYS=ALPHA
!ELSE
! ifdef cc
CC = cl -c -nologo -G5 -DWIN32 -D__X__NT__=1
LIBS0 = crtdll.lib
CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE /NODEFAULTLIB /MACHINE:$(SYS)
SYS=IX86
! elseifdef wc
CC = wcc386  -Zp8 -5s -j -fpi87 -s -oimr -bd -bt=nt $(NTX) $(DEMO)
LINK = wlink
RC = WRC
! else
CC = cl -c -nologo  -DWIN32 $(NTX)
CFLAGS =
LIBS0=
! endif
!ENDIF

LFLAGS = $(CFLAGS) /NOLOGO /SUBSYSTEM:windows
LIBS1 = $(LIBS0) kernel32.lib user32.lib gdi32.lib shell32.lib
INC = dxfcon.h

C0=dxfcon.obj dxfcon1.obj dxfcon2.c dxfcon.res

! ifdef wc

dxfcon.exe: $(C0)
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export _Convert
file dxfcon.obj
file dxfcon1.obj
name $(PROJ).exe
option CASEEXACT
option MAP
<<
 $(LINK) @$(PROJ).CRF
 $(RC) -bt=nt dxfcon.rc
 copy $(PROJ).exe ..\dxfcon.dll
 del $(PROJ).exe

!else

dxfcon.dll: $(C0)
       echo >NUL @<<$(PROJ).DEF
LIBRARY dxfcon
EXPORTS
_Convert @2
<<
       echo >NUL @<<$(PROJ).CRF
dxfcon.obj
dxfcon1.obj
dxfcon.res
$(LIBS1)
$(LIBS2)
-DEF:$(PROJ).DEF
-DLL
-OUT:..\dxfcon.dll
<<
 link $(LFLAGS) @$(PROJ).CRF

! endif

dxfcon.obj: dxfcon.c $(INC)
  $(CC) dxfcon.c

dxfcon1.obj: dxfcon1.c dxfcon2.c $(INC)
  $(CC) dxfcon1.c

dxfcon.res: dxfcon.rc $(INC)
  $(RC) -r dxfcon.rc
