/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file TTF.H  TTF font DLL */

typedef unsigned char byte;

#define MEMFAIL 2

typedef struct tagTTF_STRUCTURE {  /* stucture for atm fonts */
 int TTF_bevel_front,TTF_bevel_back,TTF_bevel_angle,
     TTF_bevel_width,TTF_chara_width,TTF_char_preview,
     TTF_cap,TTF_offset,FORB;
 char TTF_Letters[64];
 CHOOSEFONT cf;
 LOGFONT    lf;
 unsigned char TTF_face_colour[3],
               TTF_side_colour[3],
               TTF_beve_colour[3];
} TTF_STRUCTURE;
