/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* DEFINES.H */

#define  nNoise(x,y,z,r)      (lpXimage->fp_sNoise(x,y,z,r))
#define  sTurbulence(x,y,z,r) (lpXimage->fp_sTurbulence(x,y,z,r))
#define  Cycloidal(v,r)       (lpXimage->fp_Cycloidal(v,r))
#define  vNoise(v,x,y,z)      (lpXimage->fp_vNoise(v,x,y,z))
#define  vTurbulence(r,x,y,z) (lpXimage->fp_vTurbulence(r,x,y,z))
#define  normalize(v)         (lpXimage->fp_normalize(v))

#define  YieldRenderer()      (lpXimage->fp_Yield())
#define  TerminateRenderer()  (lpXimage->fp_Teminate())
