/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* lasers.h */

#define DLG_LASER             100
#define DLG_LASER_RADIUS      101
#define DLG_LASER_HIDE        102
#define DLG_LASER_COLOUR      103
#define DLG_LASER_1_SETID     104
#define DLG_LASER_1_NAME      105
#define DLG_LASER_1_TYPE1     106
#define DLG_LASER_1_TYPE2     107
#define DLG_LASER_2_SETID     108
#define DLG_LASER_2_NAME      109
#define DLG_LASER_2_TYPE1     110
#define DLG_LASER_2_TYPE2     111
#define DLG_LASER_1_X         112
#define DLG_LASER_1_Y         113
#define DLG_LASER_1_Z         114
#define DLG_LASER_2_X         115
#define DLG_LASER_2_Y         116
#define DLG_LASER_2_Z         117

#define DLG_LASER_TYPE1       201
#define DLG_LASER_TYPE2       202
#define DLG_LASER_TYPE3       203

#define DLG_LASER_IN          301
#define DLG_LASER_HOLD        302
#define DLG_LASER_OUT         303

#define DLG_BITMAP           1000
#define DLG_IMAGE            1001
