/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* lens.h */

#define DLG_FLARE             100
#define DLG_FLARE_FLICKER     101
#define DLG_FLARE_HIDE        102
#define DLG_FLARE_TYPE1       103
#define DLG_FLARE_TYPE2       104
#define DLG_FLARE_TYPE3       105
#define DLG_FLARE_TYPE4       106
#define DLG_FLARE_TYPE5       107
#define DLG_FLARE_TYPE6       108
#define DLG_FLARE_SETID       109
#define DLG_FLARE_NAME        110
#define DLG_FLARE_SX          111
#define DLG_FLARE_SY          112
#define DLG_FLARE_PX          113
#define DLG_FLARE_PY          114
#define DLG_FLARE_PZ          115
#define DLG_FLARE_BSCALE      116
#define DLG_FLARE_RSCALE      117
#define DLG_FLARE_AA          118

#define DLG_FLARE2            300
#define DLG_FLARE_MODEL1      301
#define DLG_FLARE_MODEL2      302
#define DLG_FLARE_MODEL3      303
#define DLG_FLARE_MODEL4      304

#define DLG_FLARE3            400

#define DLG_FLARE4            500

#define DLG_FLARE5            600

#define DLG_FLARE6            700

#define DLG_LENS              200
#define DLG_LENS_PREVIEW      201
#define DLG_LENS_PREVIEW_W    202

#define DLG_BITMAP           1000
#define DLG_IMAGE            1001

#define IDI_TEXT1            2001
#define IDI_TEXT2            2002
#define IDI_TEXT3            2003
#define IDI_TEXT4            2004
#define IDI_TEXT5            2005
#define IDI_TEXT6            2006
