/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* PAINT.C */

static void PaintBackground(HWND hDlg){
 int x;
 int y;
 HDC hDC;
 HPALETTE hpalT;
 HBRUSH hOldBrush;
 RECT rc1,rc2;
 HDC hMemDC;
 HBITMAP hBmBackground,hbmOld;
 BITMAP  bm;
 PAINTSTRUCT ps;
 hDC = BeginPaint(hDlg,&ps);
 hBmBackground=LoadBitmap(hDLLinstance,"screen");
 if(hBmBackground != NULL){
   GetObject(hBmBackground,sizeof(BITMAP),&bm);
   hMemDC = CreateCompatibleDC(hDC);
   hbmOld = SelectObject(hMemDC,hBmBackground);
   GetClientRect(hDlg,&rc2);
   for(x=0;x<(rc2.right/bm.bmWidth)+1;x++)
   for(y=0;y<(rc2.bottom/bm.bmHeight)+1;y++)
     BitBlt(hDC,
          x*bm.bmWidth,y*bm.bmHeight,
          bm.bmWidth,
          bm.bmHeight,
          hMemDC,
          0,0,
          SRCCOPY);
   SelectObject(hMemDC,hbmOld);
   DeleteDC(hMemDC);
   DeleteObject(hBmBackground);
 }
 EndPaint(hDlg,&ps);
}

#if 0
   case WM_ERASEBKGND:{
      int x;
      int y;
      HDC hDC;
      HPALETTE hpalT;
      HBRUSH hOldBrush;
      RECT rc1,rc2;
      HDC hMemDC;
      HBITMAP hBmBackground,hbmOld;
      BITMAP  bm;
      hDC = (HDC)wparam;
      hBmBackground=LoadBitmap(hDLLinstance,"screen");
      GetObject(hBmBackground,sizeof(BITMAP),&bm);
      hMemDC = CreateCompatibleDC(hDC);
      hbmOld = SelectObject(hMemDC,hBmBackground);
      GetClientRect(hwnd,&rc2);
      for(x=0;x<(rc2.right/bm.bmWidth)+1;x++)
      for(y=0;y<(rc2.bottom/bm.bmHeight)+1;y++)
        BitBlt(hDC,
                x*bm.bmWidth,y*bm.bmHeight,
                bm.bmWidth,
                bm.bmHeight,
                hMemDC,
                0,0,
                SRCCOPY);
      SelectObject(hMemDC,hbmOld);
      DeleteDC(hMemDC);
      if(hBmBackground != NULL)DeleteObject(hBmBackground);
    }
    return TRUE;
#endif
