#   makefile for gif_dll
#   use parametets CPU= ???  nt=1   sc/wc/cc/vc/bc
NTX=
!IFDEF nt
NTX=-D__X__NT__=1
!ENDIF
PROJ = GIF_DLL
RC = rc
RCFLAGS = -r
LFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE -entry:DllMain

!IF "$(CPU)" == "mips"

CC = cl -Zp2 -c -nologo  -D__X__NT__=1  -D__X__MIPS__=1 \
     -DWIN32 -D__XVC__=1  -D__NT__=1
LFLAGS = /NOLOGO /SUBSYSTEM:windows,4.0
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link
#LFLAGS = $(LFLAGS) /NOLOGO /SUBSYSTEM:windows,4.0 /NODEFAULTLIB /MACHINE:MIPS
#LIBS =crtdll.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIF "$(CPU)" == "alpha"

CC = cl -Zp2 -c -nologo  -D__X__NT__=1 -D__X__MIPS__=1 -D__XVC__=1 -D__NT__=1
LFLAGS = /NOLOGO /SUBSYSTEM:windows,4.0
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ELSE
#                             Ix86 processors
!IFDEF     cc
CC = cl -c -nologo -Zp2 -G5 -D__X__NT__=1 -DWIN32
LINK = link
LFLAGS = $(LFLAGS) /NOLOGO /SUBSYSTEM:windows,4.0 /NODEFAULTLIB /MACHINE:IX86
LIBS =crtdll.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIFDEF  wc
CC = wcc386  -Zp2 -5s -j -s -oimr -fpi87 -bd -bt=nt $(NTX)
LINK = wlink
RC = WRC

!ELSEIFDEF sc
CC = SC -mn -4 -a2 -c -ff $(NTX)
LINK = link386

!ELSEIFDEF bc
WARNS=-w-aus -w-par -w-rch  -w-ccc
CC=bcc32 -c -5 -W $(WARNS) -ff -K- -D__WATCOMC__=1 -D__NT__=1 $(NTX)
LINK = tlink32
RC = BRC32

!ELSE
CC = cl -c -nologo -Zp2 -G5 $(NTX) -DWIN32 -D__XVC__=1  -D__NT__=1
LFLAGS = /NOLOGO /SUBSYSTEM:windows,4.0
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ENDIF

!ENDIF

HH=
C0=gif_dll.obj

!IFDEF wc
$(PROJ).exe: $(C0) egiflib.obj gifhash.obj
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export _BuildGif.1
option map
file $(C0)
file egiflib.obj
file gifhash.obj
name ..\$(PROJ).dll
option CASEEXACT
RUNTIME windows=4.0
<<
 $(LINK) @$(PROJ).CRF

!ELSEIFDEF sc
$(PROJ).exe: $(C0) egiflib.obj gifhash.obj
       echo >NUL @<<$(PROJ).DEF
LIBRARY dll
DESCRIPTION 'DLL'
EXETYPE NT
SUBSYSTEM WINDOWS
EXPORTS
_BuildGif   @1
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
..\$(PROJ).dll
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB
$(PROJ).def
/NOI
<<
 $(LINK) @$(PROJ).CRF

!ELSEIFDEF bc
$(PROJ).exe: $(C0) egiflib.obj gifhash.obj
       echo >NUL @<<$(PROJ).DEF
LIBRARY the_dll
DESCRIPTION 'DLL'
EXETYPE WINDOWS
EXPORTS
_BuildGif   @1
<<
       echo >NUL @<<$(PROJ).CRF
/Tpd /c \bc4\lib\c0d32+$(C0)
..\$(PROJ).dll,
cw32+import32
$(PROJ).def
<<
 $(LINK) @$(PROJ).CRF

!ELSE
$(PROJ).exe: $(C0) egiflib.obj gifhash.obj
       echo >NUL @<<$(PROJ).DEF
LIBRARY $(PROJ)
EXPORTS
_BuildGif   @1
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
egiflib.obj
gifhash.obj
-OUT:..\$(PROJ).dll
-DLL
-DEF:$(PROJ).def
$(LIBS)
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ENDIF

$(PROJ).obj: $(PROJ).c $(HH)
  $(CC) $(PROJ).c

egiflib.obj: egiflib.c giflib.h gifhash.h
  $(CC) egiflib.c

gifhash.obj: gifhash.c giflib.h gifhash.h
  $(CC) gifhash.c
