#   makefile for resource.dll
#   use parametets CPU= ???  sc/wc/cc/vc/bc
NTX=
!IFDEF nt
NTX=-D__X__NT__=1
!ENDIF
PROJ = rnd_res
RC = rc
RCFLAGS = -r
LFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE -entry:DllMain

!IF "$(CPU)" == "mips"

CC = cl  -c -nologo  -D__X__NT__=1  -D__X__MIPS__=1 -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link
#LFLAGS = $(LFLAGS) /NOLOGO /SUBSYSTEM:windows /NODEFAULTLIB /MACHINE:MIPS
#LIBS =crtdll.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIF "$(CPU)" == "alpha"

CC = cl  -c -nologo  -D__X__NT__=1 -D__X__MIPS__=1
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ELSE
#                             Ix86 processors
!IFDEF     wc
CC = wcc386  -Zp8 -5s -j -s -oimr -fpi87 -bd -bt=nt
LINK = wlink
RC = WRC

!ELSE
CC = cl -c -nologo  -G5 $(NTX) -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows,4.0
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ENDIF

!ENDIF

HH=
C0=$(PROJ).obj

!IFDEF wc
$(PROJ).exe: $(C0) $(PROJ).res
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export ResourceX
option map
file $(C0)
name $(PROJ).exe
option CASEEXACT
RUNTIME windows=4.0
<<
 $(LINK) @$(PROJ).CRF
 wrc -bt=nt $(PROJ).rc -D__WTC__=1  $(DEMO)
 copy $(PROJ).exe ..\$(PROJ).dll
 del $(PROJ).exe
       echo >NUL @<<$(PROJ).lbc
++'_ResourceX'.'$(PROJ).dll'.'_ResourceX'.1
<<
 wlib -ii -io -n ..\$(PROJ).lib @$(PROJ).lbc
!ELSE
$(PROJ).exe: $(C0)  $(PROJ).res
       echo >NUL @<<$(PROJ).DEF
LIBRARY $(PROJ)
EXPORTS
ResourceX  @1
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
$(PROJ).res
-OUT:..\$(PROJ).dll
-DLL
-DEF:$(PROJ).def
$(LIBS)
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ENDIF

$(PROJ).obj: $(PROJ).c $(HH)
  $(CC) $(PROJ).c

$(PROJ).res: $(PROJ).rc
  $(RC) $(RCFLAGS) $(PROJ).rc

rnd_res.lib: rnd_res.lbc
  wlib rnd_res.lib @rnd_res.lbc
