/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* editsnd.h */

#define IDM_OPEN         100
#define IDM_OPENSND      101
#define IDM_BUILD        102
#define IDM_HELP         103
#define IDM_CLEAR        104
#define IDM_ADDSND       105
#define IDM_MIXSND       106
#define IDM_SILENT       107
#define IDM_PLAYSND      108
#define IDM_INFO         109
#define IDM_DUB          110
#define IDM_CHOP         111

#define IDM_FIRST        112
#define IDM_LAST         113
#define IDM_NEXT         114
#define IDM_PREVIOUS     115
#define IDM_PLAY         116

#define IDM_EXIT        1001

#define IDD_ABOUT        600

#define TOOLBAR_IDBM     500

#define IDI_TIP_1        601
#define IDI_TIP_2        602
#define IDI_TIP_3        603
#define IDI_TIP_4        604
#define IDI_TIP_5        605
#define IDI_TIP_6        606
#define IDI_TIP_7        607
#define IDI_TIP_8        608
#define IDI_TIP_9        609
#define IDI_TIP_A        610
#define IDI_TIP_B        611
#define IDI_TIP_C        612
#define IDI_TIP_D        613
#define IDI_TIP_E        614
#define IDI_TIP_F        615
#define IDI_TIP_G        616
#define IDI_TIP_H        617

#define IDI_TITLE        200
#define IDI_MEMORY       201
#define IDI_BADFILE      202
#define IDI_DONEAVI      203
#define IDI_FILESLIST    204
#define IDI_VIDEO        205
#define IDI_SELECTIN     206
#define IDI_SELECTOUT    207
#define IDI_SELECTINSND  208
#define IDI_COPYING      209

#define DLG_AUDIO_INFO              400
#define DLG_AUDIO_INFO_WAV_FREQ     401
#define DLG_AUDIO_INFO_WAV_CHANNELS 402
#define DLG_AUDIO_INFO_WAV_BPS      403
#define DLG_AUDIO_INFO_AVI_CHANNELS 404
#define DLG_AUDIO_INFO_AVI_BPS      405
#define DLG_AUDIO_INFO_AVI_FREQ     406
#define DLG_AUDIO_INFO_WARN         407
#define DLG_AUDIO_SET               408
#define DLG_AUDIO_SET_CHAN1         409
#define DLG_AUDIO_SET_CHAN2         410
#define DLG_AUDIO_SET_BPS8          411
#define DLG_AUDIO_SET_BPS16         412
#define DLG_AUDIO_SET_FREQ1         413
#define DLG_AUDIO_SET_FREQ2         414
#define DLG_AUDIO_SET_FREQ3         415
