    page ,132
    TITLE FAST32.ASM

    .xlist
    include \wing\samples\doggie\cmacro32.inc
    .list


ifndef SEGNAME
    SEGNAME equ <FAST_TEXT32>
endif

createSeg %SEGNAME, CodeSeg, word, use32, CODE

sBegin Data
sEnd Data

sBegin CodeSeg
        assumes cs,CodeSeg
        assumes ds,nothing
        assumes es,nothing


cProc _fii_unlccomp,<NEAR, PASCAL, PUBLIC>,<>
       ParmD   pSource         ; source pointer
       ParmD   pDest           ; dest pointer
cBegin
       push ds
       push esi
       push edi
       push bx
       push dx
       push cx

       cld       ;clear direction flag in case Aztec or someone mucks with it.

       mov       edi,pDest
       mov       esi,pSource


       lodsw       ;get the count of # of lines to skip
       mov dx,320
       mul dx
       add di,ax
       lodsw              ;get line count
       push ax    ;linect
       mov       dx,di       ;keep pointer to start of line in dx
       xor       ah,ah       ;clear hi bit of ah cause lots of unsigned uses to follow
linelp:
       mov       di,dx
       lodsb              ;get op count for this line
       mov bl,al
       test bl,bl
       jmp endulcloop
ulcloop:
       lodsb       ;load in the byte skip
       add di,ax
       lodsb       ; load op/count
       test al,al
       js ulcrun
       mov cx,ax
       rep movsb
       dec bl
       jnz ulcloop
       jmp ulcout
ulcrun:
       neg al
       mov cx,ax ;get signed count
       lodsb         ;value to repeat in al
       rep stosb
       dec bl
endulcloop:
       jnz ulcloop
ulcout:
       add       dx,320
       pop ax
       push ax
       dec ax  ;       dec  ;linect
       jnz       linelp


       pop cx
       pop dx
       pop bx
       pop edi
       pop esi
       pop ds
cEnd



sEnd CodeSeg
end
