/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file SPIN_DLL.H */

// Spin Button doesn't send WM_CTLCOLOR message to parent window.

// Spin Button's class-specific window styles.
#define SPNS_WRAP          0x0001L


// Spin Button's class-specific window messages.
#define SPNM_SETRANGE      (WM_USER + 0)
#define SPNM_GETRANGE      (WM_USER + 1)
#define SPNM_SETCRNTVALUE  (WM_USER + 2)
#define SPNM_GETCRNTVALUE  (WM_USER + 3)
#define SPNM_SETEDITCTRL   (WM_USER + 4)

// Spin Button's notification codes sent in HIWORD of wParam
// during a WM_COMMAND message.
#define SPNN_VALUECHANGE   (1)


#define ID_VALUE   100
#define ID_WRAP    101
