#   makefile for 3DS converter
#   cannot use SC because of print problems
#   use parameters CPU= ???  nt=1   sc/wc/cc/vc/bc
NTX=
!IFDEF nt
NTX=-D__X__NT__=1
!ENDIF

PROJ = 3dsOUT
E0 = _Export

RC = rc
RCFLAGS = -r
LFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE -entry:DllMain

!IF "$(CPU)" == "mips"

CC = cl -c -nologo  -D__X__NT__=1 -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link
#LFLAGS = $(LFLAGS) /NOLOGO /SUBSYSTEM:windows /NODEFAULTLIB /MACHINE:MIPS
#LIBS =crtdll.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIF "$(CPU)" == "alpha"

CC = cl -c -nologo  -D__X__NT__=1
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ELSE
#                             Ix86 processors
!IFDEF     cc
CC = cl -c -nologo -G5 -D__X__NT__=1 -DWIN32
LINK = link
LFLAGS = $(LFLAGS) /NOLOGO /SUBSYSTEM:windows /NODEFAULTLIB /MACHINE:IX86
LIBS =crtdll.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIFDEF  wc
CC = wcc386  -Zp8 -5s -j -s -oimr -fpi87 -bd -bt=nt $(NTX)
LINK = wlink
RC = WRC

!ELSEIFDEF sc
CC = SC -mn -4 -a4 -c -ff $(NTX)
LINK = link386

!ELSEIFDEF bc
WARNS=-w-aus -w-par -w-rch  -w-ccc
CC=bcc32 -c -5 -W $(WARNS) -ff -K- -D__WATCOMC__=1 -D__NT__=1 $(NTX)
LINK = tlink32
RC = BRC32

!ELSE
CC = cl -c -nologo -G5 -DWIN32 $(NTX)
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ENDIF

!ENDIF

HH=
C0=$(PROJ).obj

!IFDEF wc
$(PROJ).exe: $(C0)
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export $(E0).2
file $(C0)
name $(PROJ).exe
option CASEEXACT
<<
 $(LINK) @$(PROJ).CRF
 copy $(PROJ).exe ..\$(PROJ).dll
 del $(PROJ).exe

!ELSEIFDEF sc
$(PROJ).exe: $(C0)
       echo >NUL @<<$(PROJ).DEF
LIBRARY dll
DESCRIPTION 'DLL'
EXETYPE NT
SUBSYSTEM WINDOWS
EXPORTS
$(E0) @2
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
..\$(PROJ).dll
NUL
KERNEL32.LIB GDI32.LIB USER32.LIB COMDLG32.LIB
$(PROJ).def
/NOI
<<
 $(LINK) @$(PROJ).CRF

!ELSEIFDEF bc
$(PROJ).exe: $(C0) echo >NUL @<<$(PROJ).DEF
LIBRARY $(PROJ)
DESCRIPTION 'DLL'
EXETYPE WINDOWS
EXPORTS
$(E0) @2
<<
       echo >NUL @<<$(PROJ).CRF
/Tpd /c \bc4\lib\c0d32+$(C0)
..\$(PROJ).dll,
cw32+import32
$(PROJ).def
<<
 $(LINK) @$(PROJ).CRF

!ELSE
$(PROJ).exe: $(C0) 
       echo >NUL @<<$(PROJ).DEF
LIBRARY 
EXPORTS
$(E0) @2
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
-OUT:..\$(PROJ).dll
-DLL
-DEF:$(PROJ).def
$(LIBS)
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ENDIF

$(PROJ).obj: $(PROJ).c $(HH)
  $(CC) $(PROJ).c

