/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file ATMDLG.H  identifiers for ATM dialog */

#define IDBM_HELP               99

#define DLG_ATM                100
#define DLG_ATM_SHAPE          101
#define DLG_ATM_PROFILE        102
#define DLG_ATM_INFO           103
#define DLG_ATM_BEVEL_FRONT    104
#define DLG_ATM_BEVEL_BACK     105
#define DLG_ATM_BEVEL_ANGLE    106
#define DLG_ATM_BEVEL_ANGLEN   107
#define DLG_ATM_BEVEL_DEPTH    108
#define DLG_ATM_BEVEL_DEPTHN   109
#define DLG_ATM_CHAR_WIDTH     110
#define DLG_ATM_CHAR_WIDTHN    111
#define DLG_ATM_FILL           112
#define DLG_ATM_NOFILL         113
#define DLG_ATM_FONTID         114
#define DLG_ATM_PREVIEW        115
#define DLG_ATM_TEXT           116
#define DLG_ATM_CHOOSE         117
#define DLG_ATM_HELP           118
#define DLG_ATM_COLOUR_FACES   119
#define DLG_ATM_COLOUR_BEVEL   120
#define DLG_ATM_COLOUR_SIDES   121
#define DLG_ATM_MAKE           122
#define DLG_ATM_CANCEL         123
#define DLG_ATM_LR             124
#define DLG_ATM_RL             125
#define DLG_ATM_ADOBE_NAME     126
#define DLG_ATM_CPUL           127
#define DLG_ATM_CPDL           128
#define DLG_ATM_CPDC           129
#define DLG_ATM_CPUC           130
#define DLG_ATM_CPDR           131
#define DLG_ATM_CPUR           132
#define DLG_ATM_CPCC           133
