/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* d3dview.c */

#define IDC_HAND         3000

#define DLG_PREFS         100
#define DLG_PREFS_FLAT    101
#define DLG_PREFS_WIRE    102
#define DLG_PREFS_WIREB   103
#define DLG_PREFS_MAPS    104
#define DLG_PREFS_UPDATE  105
#define DLG_PREFS_FASTEST 106
#define DLG_PREFS_CLAMPED 107
#define DLG_PREFS_COLOUR  108
#define DLG_PREFS_DEPTHC  109

#define IDS_HINTS        1000
#define IDS_SIDES        1001
#define IDS_SCROLL       1002
#define IDS_PREF         1003
#define IDS_HELP         1004
#define IDS_MENU         1005
#define IDS_ABOUT        1006

#undef RELEASE
#ifdef __cplusplus
#define RELEASE(x) if (x != NULL) {x->Release(); x = NULL;}
#else
#define RELEASE(x) if (x != NULL) {x->lpVtbl->Release(x); x = NULL;}
#endif

