#  makefile for D3DVIEW

PROJ = D3DVIEW
RC = rc

!IF "$(CPU)" == "mips"
CC = cl -c -nologo  -DWIN32 -D__X__NT__=1
CFLAGS =
LIBS0 =
#LIBS0 = crtdll.lib
#CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE /NODEFAULTLIB /MACHINE:$(SYS)
SYS=MIPS

!ELSEIF "$(CPU)" == "alpha"
CC = cl -c -nologo  -DWIN32 -D__X__NT__=1
CFLAGS =
LIBS0 =
SYS=ALPHA
!ELSE
! ifdef cc
CC = cl -c -nologo -G5 -DWIN32 -D__X__NT__=1
LIBS0 = crtdll.lib
CFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE /NODEFAULTLIB /MACHINE:$(SYS)
SYS=IX86
! elseifdef wc
CC = wpp386  -Zp8 -5s -j -fpi87 -s -oimr -bd -bt=nt $(NTX) $(DEMO)
LINK = wlink
RC = WRC
! else
CC = cl -c -nologo  -DWIN32 $(NTX)
CFLAGS =
LIBS0=
! endif
!ENDIF

LFLAGS = $(CFLAGS) /NOLOGO /SUBSYSTEM:windows
LIBS1 = $(LIBS0) kernel32.lib user32.lib gdi32.lib ddraw.lib d3drm.lib
LIBS2 =
INC = d3dview.h

C0=d3dview.obj d3dview.res

! ifdef wc

d2dview.exe: $(C0)
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export _AttachViewOpenGL.1
export _DetachViewOpenGL.2
file d3dview.obj
name $(PROJ).exe
option CASEEXACT
option MAP
library d3drm.lib
library ddraw.lib
<<
 $(LINK) @$(PROJ).CRF
 $(RC) -bt=nt d3dview.rc
 copy $(PROJ).exe ..\d3dview.dll
 del $(PROJ).exe

!else

d3dview.dll: $(C0)
       echo >NUL @<<$(PROJ).DEF
LIBRARY glview
EXPORTS
_AttachViewOpenGL @1
_DetachViewOpenGL @2
<<
       echo >NUL @<<$(PROJ).CRF
d3dview.obj
d3dview.res
$(LIBS1)
$(LIBS2)
-DEF:$(PROJ).DEF
-OUT:..\glview.dll
-DLL
<<
 link $(LFLAGS) @$(PROJ).CRF

! endif

d3dview.obj: d3dview.cpp $(INC) d3dview0.cpp d3dview1.cpp \
             d3dview2.cpp
  $(CC) d3dview.cpp

d3dview.res: d3dview.rc $(INC)
  $(RC) -r d3dview.rc

#LIBRARY d3dview
#-OUT:..\d3dview.dll
#-DEF:$(PROJ).DEF
#-OUT:..\glview.dll
#-DLL
