/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* LOADVIEW.C   (included in mloader.c) */

void LoadViewer(int type){
 int result;
 char modulename[255];
 HWND hWnd;
 if((hWnd=FindWindow("OFX:ViewClass",NULL)) == NULL){
   strcpy(modulename,gszHomeDir);strcat(modulename,"winview.exe");
   result=WinExec(modulename,SW_SHOW);
   if(result < 32){
     if(result == ERROR_FILE_NOT_FOUND ||
        result == ERROR_PATH_NOT_FOUND)SendPrgmQuery(IDQ_NOSTART,3);
     return;
   }
   hWnd=FindWindow("OFX:ViewClass",NULL);
 }
 if(!IsWindow(hWnd)){
   SendPrgmQuery(IDQ_NOSTART,3);
 }
 else{
   SetForegroundWindow(hWnd);
   BringWindowToTop(hWnd);
   ShowWindow(hWnd,SW_SHOW);
   if     (type == 2)PostMessage(hWnd,WM_COMMAND,109,0);   /* map image  */
   else if(type == 1)PostMessage(hWnd,WM_COMMAND,107,0);   /* last image */
   else              PostMessage(hWnd,WM_COMMAND,105,0);   /* view       */
 }
}
