/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* main.h */

#define IDM_SCRIPT      0x10
#define IDM_HELP        0x20
#define IDM_NEXT        0x30
#define IDM_PLAY        0x40
#define IDM_STOP        0x50
#define IDM_PREVIOUS    0xA0

#define IDM_CAPTURE     0x60
#define IDM_MAKEAVI     0x70
#define IDM_PREFERENCES 0x80
#define IDM_EXIT        0x90

#define IDM_OGL_QUIT   0x200
#define IDM_OGL_MAPS   0x210

#define IDD_ABOUT        600

#define DLG_PREFS        100
#define DLG_PREFS_FLAT   101
#define DLG_PREFS_FAST   102
#define DLG_PREFS_MAPS   103
#define DLG_PREFS_ANTI   104
#define DLG_PREFS_HALF   105
#define DLG_PREFS_ACCL   106
#define DLG_PREFS_ATTN   107
#define DLG_PREFS_FOG    108
#define DLG_PREFS_ATTNV  109
#define DLG_PREFS_FOGV   110

#define OPENGL_ACCEL     200

#define TOOLBAR_IDBM     500

#define IDI_TIP_1        601
#define IDI_TIP_2        602
#define IDI_TIP_3        603
#define IDI_TIP_4        604
#define IDI_TIP_5        605
#define IDI_TIP_6        606
#define IDI_TIP_7        607
#define IDI_TIP_8        608
#define IDI_TIP_9        609

#define IDX_MISC_NEXT        650
#define IDX_MISC_PLAY        651
#define IDX_MISC_STOP        652
#define IDX_MISC_OPENSCRIPT  653
#define IDX_MISC_SAVEIMAGE   654
#define IDX_MISC_WRITEAVI    655
#define IDX_MISC_SETTINGS    656
#define IDX_MISC_ABOUT       657
#define IDX_MISC_CAMERAGL    658
#define IDX_MISC_CAMERA      659
