# makefile

CC=

!IFDEF wc
CC = wcc386  -Zp4 -5s -j -bt=nt -DSTRICT -DWIN32 -D_WIN32 -D__WIN32__  -I..\zlib
!ELSE
CC= cl -c -D__WIN32__  -I..\zlib
!ENDIF

LIBSOURCES =  \
 PNG.C        PNGERROR.C   PNGGET.C  \
 PNGMEM.C     PNGPREAD.C   PNGREAD.C    PNGRIO.C     PNGRTRAN.C \
 PNGRUTIL.C   PNGSET.C     PNGTRANS.C   PNGWIO.C \
 PNGWRITE.C   PNGWTRAN.C   PNGWUTIL.C

SOURCES= $(LIBSOURCES)
# files included by source files
INCLUDES=
LIBOBJECTS= \
 PNG.OBJ        PNGERROR.OBJ   PNGGET.OBJ  \
 PNGMEM.OBJ     PNGPREAD.OBJ   PNGREAD.OBJ    PNGRIO.OBJ     PNGRTRAN.OBJ \
 PNGRUTIL.OBJ   PNGSET.OBJ     PNGTRANS.OBJ   PNGWIO.OBJ \
 PNGWRITE.OBJ   PNGWTRAN.OBJ   PNGWUTIL.OBJ

!IFDEF wc
LIB = wlib
LIBFLAGS=
lib: $(LIBOBJECTS)
 $(LIB) ..\lib_wc.lib   \
 -+PNG.OBJ        -+PNGERROR.OBJ   -+PNGGET.OBJ  \
 -+PNGMEM.OBJ     -+PNGPREAD.OBJ   -+PNGREAD.OBJ    -+PNGRIO.OBJ   -+PNGRTRAN.OBJ \
 -+PNGRUTIL.OBJ   -+PNGSET.OBJ     -+PNGTRANS.OBJ   -+PNGWIO.OBJ \
 -+PNGWRITE.OBJ   -+PNGWTRAN.OBJ   -+PNGWUTIL.OBJ
!ELSE
LIB = lib
LIBFLAGS = /verbose /out:..\lib_ms.lib
lib: $(LIBOBJECTS)
 $(LIB) $(LIBFLAGS) $(LIBOBJECTS)
!ENDIF

PNG.OBJ: png.c
 $(CC) png.c
PNGERROR.OBJ: pngerror.c
 $(CC) pngerror.c
PNGGET.OBJ: pngget.c
 $(CC) pngget.c
PNGMEM.OBJ: pngmem.c
 $(CC) pngmem.c
PNGPREAD.OBJ: pngpread.c
 $(CC) pngpread.c
PNGREAD.OBJ: pngread.c
 $(CC) pngread.c
PNGRIO.OBJ:  pngrio.c
 $(CC) pngrio.c
PNGRTRAN.OBJ: pngrtran.c
 $(CC) pngrtran.c
PNGRUTIL.OBJ:  pngrutil.c
 $(CC) pngrutil.c
PNGSET.OBJ: pngset.c
 $(CC) pngset.c
PNGTRANS.OBJ: pngtrans.c
 $(CC) pngtrans.c
PNGWIO.OBJ: pngwio.c
 $(CC) pngwio.c
PNGWRITE.OBJ: pngwrite.c
 $(CC) pngwrite.c
PNGWTRAN.OBJ: pngwtran.c
 $(CC) pngwtran.c
PNGWUTIL.OBJ: pngwutil.c
 $(CC) pngwutil.c
