/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* atmos.h   identifiers for filter processing effect */

#define DLG_ATMOS             100
#define DLG_ATMOS_FAST        101
#define DLG_ATMOS_FAST1       102
#define DLG_ATMOS_FAST2       103
#define DLG_ATMOS_FAST3       104
#define DLG_ATMOS_FAST4       105
#define DLG_ATMOS_COLOUR      106
#define DLG_ATMOS_OVERSHADOW  107
#define DLG_ATMOS_OVERDENSITY 108
#define DLG_ATMOS_MAXATTN     109
#define DLG_ATMOS_SAMPLES     110

#define DLG_ATMOS_TYPE1       111
#define DLG_ATMOS_TYPE2       112
#define DLG_ATMOS_TYPE3       113
#define DLG_ATMOS_SETID       114
#define DLG_ATMOS_NAME        115

#define DLG_BITMAP           1000
#define DLG_IMAGE            1001
