/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* fileball.h  identifiers for filter processing effect */

#define DLG_FIREBALL                   100
#define DLG_FIREBALL_NOISESCALE        101
#define DLG_FIREBALL_FLAMES            102
#define DLG_FIREBALL_TYPE1             103
#define DLG_FIREBALL_TYPE2             104
#define DLG_FIREBALL_TYPE3             105
#define DLG_FIREBALL_SETID             106
#define DLG_FIREBALL_NAME              107
#define DLG_FIREBALL_REGULARITY        108
#define DLG_FIREBALL_SAMPLES           109
#define DLG_FIREBALL_RADIUSMULTIPLIER  110
#define DLG_FIREBALL_DENSITY           111
#define DLG_FIREBALL_STRETCH           112
#define DLG_FIREBALL_COLOUR1           113
#define DLG_FIREBALL_COLOUR2           114
#define DLG_FIREBALL_COLOUR3           115
#define DLG_FIREBALL_SMOKE             116
#define DLG_FIREBALL_EXPLODE           117

#define DLG_BITMAP                     1000
#define DLG_IMAGE                      1001
