#   makefile for external image formats
#   use parametets CPU= ???  nt=1   sc/wc/cc/vc/bc
NTX=
!IFDEF nt
NTX=-D__X__NT__=1
!ENDIF
PROJ = PNG_MAP
CFLAGS =
RC = rc
RCFLAGS = -r
LFLAGS = -align:0x1000 /INCREMENTAL:NO /PDB:NONE -entry:DllMain

!IF "$(CPU)" == "mips"

CC = cl -c -nologo  -D__X__NT__=1 -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link
#LFLAGS = $(LFLAGS) /NOLOGO /SUBSYSTEM:windows /NODEFAULTLIB /MACHINE:MIPS
#LIBS =crtdll.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib shell32.lib

!ELSEIF "$(CPU)" == "alpha"

CC = cl -c -nologo  -D__X__NT__=1
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ELSE
#                             Ix86 processors
!IFDEF  wc
CC = wcc386  -Zp4 -5s -j -s -oimr -fpi87 -bd -bt=nt  $(NTX)
LINK = wlink
RC = WRC

!ELSE
CC = cl -c -nologo $(NTX) -DWIN32
LFLAGS = /NOLOGO /SUBSYSTEM:windows
LIBS =user32.lib gdi32.lib comdlg32.lib shell32.lib
LINK = link

!ENDIF

!ENDIF

HH=
C0=$(PROJ).obj
C1=png.obj

!IFDEF wc
$(PROJ).exe: $(C0) $(C1)
       echo >NUL @<<$(PROJ).CRF
system nt_dll initinstance terminstance
export _GetExternalImageSize.1
export _GetExternalImage.2
export _PutExternalImage.3
file $(C0)
file $(C1)
lib ..\png\lib_wc.lib
lib ..\png\zlib_wc.lib
name $(PROJ).exe
option CASEEXACT
<<
 $(LINK) @$(PROJ).CRF
 copy $(PROJ).exe ..\$(PROJ).dll
 del $(PROJ).exe
!ELSE
$(PROJ).exe: $(C0) $(C1)
       echo >NUL @<<$(PROJ).DEF
LIBRARY
EXPORTS
_GetExternalImageSize @1
_GetExternalImage     @2
_PutExternalImage     @3
<<
       echo >NUL @<<$(PROJ).CRF
$(C0)
$(C1)
-OUT:..\$(PROJ).dll
-DLL
-DEF:$(PROJ).def
$(LIBS)
..\png\lib_ms.lib
..\png\zlib_ms.lib
<<
 $(LINK) $(LFLAGS) @$(PROJ).CRF

!ENDIF

$(PROJ).obj: $(PROJ).c $(HH)
  $(CC) $(PROJ).c $(CFLAGS)

png.obj: ..\utilities\mdiview\png.c
  $(CC) ..\utilities\mdiview\png.c -I..\png\pnglib -I..\png\zlib
