/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

/* file rmessage.h    NT messages */

#define MENU_FILE_EXIT      1001
#define MENU_FILE_ABOUT     1002
#define MENU_FILE_RENDER    1003
#define MENU_FILE_RENDER1   1004
#define MENU_FILE_RENDERN   1005
#define MENU_FILE_SCRIPT    1006
#define MENU_FILE_ABORT     1007
#define MENU_FILE_SETTINGS  1008
#define MENU_FILE_WRITE     1009
#define MENU_FILE_PREVIEW   1010
#define MENU_FILE_START     1011
#define MENU_FILE_STOP      1012
#define MENU_FILE_PREFS     1013

#define IDC_FRAMESET        2000

#define SYSMENU_SCRIPT      0x0010
#define SYSMENU_PREVIEW     0x0020
#define SYSMENU_PREFS       0x0030
#define SYSMENU_PPREFS_LOAD 0x0040
#define SYSMENU_PPREFS_SAVE 0x0050
#define SYSMENU_ABOUT       0x0060

#define WRM_TRACE           10000
#define WRM_SHADOWG         10001
#define WRM_SHADOWO         10002
#define WRM_PHONG           10003
#define WRM_COLOURMAP       10004
#define WRM_WRITEGIF        10005
#define WRM_COMPLETE        10006
#define WRM_TITLE           10007
#define WRM_LOADING         10008
#define WRM_BUILDANIM       10009
#define WRM_OPENSCRIPT      10010
#define WRM_WRITINGSCRIPT   10011

/* string messages */

#define IDX_MISC_IMAGEFILEDIR       3100
#define IDX_MISC_TAB_CONTROL        3101
#define IDX_MISC_TAB_OPTIONS        3102
#define IDX_MISC_TAB_SETTINGS       3103
#define IDX_MISC_TAB_TRACING        3104
#define IDX_MISC_IMAGENOTSUPPORT    3105
#define IDX_MISC_INVALIDANIMATION   3106
#define IDX_MISC_INVALIDNAME1       3107
#define IDX_MISC_INVALIDNAME2       3108
#define IDX_MISC_INVALIDRANGE       3109
#define IDX_MISC_NOANIMFORMAT       3110

#define IDX_MISC_STATUS1            3111

#define IDX_MISC_WINDOWTITLE        3112
#define IDX_MISC_OPENSCRIPT         3113
#define IDX_MISC_PREVIEWSHADER      3114
#define IDX_MISC_ABOUT              3115
#define IDX_MISC_STOP               3116
#define IDX_MISC_BUILDFINISHED      3117
#define IDX_MISC_PRETERMINATED      3118
#define IDX_MISC_CLOSE              3119
#define IDX_MISC_ABOUTRENDERER      3120
#define IDX_MISC_PREVIEWON          3121
#define IDX_MISC_PREVIEWOFF         3122

#define IDX_MISC_80x50              3123
#define IDX_MISC_160x120            3124
#define IDX_MISC_320x240            3125
#define IDX_MISC_640x480            3126
#define IDX_MISC_800x600            3127
#define IDX_MISC_1024x768           3128
#define IDX_MISC_752x576            3129
#define IDX_MISC_720x480            3130
#define IDX_MISC_Specified          3131

#define IDX_MISC_GIFStills          3132
#define IDX_MISC_Animation          3133
#define IDX_MISC_TGA16bit           3134
#define IDX_MISC_TGA32bit           3135
#define IDX_MISC_TGATVision         3136
#define IDX_MISC_TGARaw             3137
#define IDX_MISC_TVisionRaw         3138
#define IDX_MISC_TIFFRGB            3139
#define IDX_MISC_WindowsBMP         3140
#define IDX_MISC_JPEGcompressed     3141
#define IDX_MISC_PALVideo           3142
#define IDX_MISC_NTSCVideo          3143

#define IDX_MISC_None               3144
#define IDX_MISC_Low                3145
#define IDX_MISC_Medium             3146
#define IDX_MISC_High               3147
#define IDX_MISC_Best               3148

#define IDX_MISC_NoneD              3149
#define IDX_MISC_FloydSteinberg     3150
#define IDX_MISC_Noise              3151

#define IDX_MISC_FirstinPalette     3152
#define IDX_MISC_Black              3153
#define IDX_MISC_white              3154

#define IDX_MISC_TH_Automatic       3155
#define IDX_MISC_TH_1               3156
#define IDX_MISC_TH_2               3157
#define IDX_MISC_TH_3               3158
#define IDX_MISC_TH_4               3159
#define IDX_MISC_TH_5               3160
#define IDX_MISC_TH_6               3161
#define IDX_MISC_TH_7               3162
#define IDX_MISC_TH_8               3163
#define IDX_MISC_TH_9               3164
#define IDX_MISC_TH_10              3165
#define IDX_MISC_TH_11              3166
#define IDX_MISC_TH_12              3167
#define IDX_MISC_TH_13              3168
#define IDX_MISC_TH_14              3169
#define IDX_MISC_TH_15              3170
#define IDX_MISC_TH_16              3171

#define IDX_MISC_WARNING            3172
#define IDX_MISC_SETUPERROR         3173
#define IDX_MISC_ADJUST             3174
#define IDX_MISC_CONFIRMSTOP        3175
#define IDX_MISC_CONFIRMSTOP1       3176
#define IDX_MISC_BUSY               3177
#define IDX_MISC_FLICFILEDIR        3178
#define IDX_MISC_HELPFILENAME       3179
#define IDX_MISC_LANGUAGE           3180
#define IDX_MISC_HELPTITLE1         3181
#define IDX_MISC_HELPTITLE2         3182
#define IDX_MISC_HELPTITLE3         3183
#define IDX_MISC_HELPFILENAME1      3184
#define IDX_MISC_ABOUTRENDERERBIG   3185
#define IDX_MISC_PNGcompressed      3186

#define IDX_MESSAGE_0               3200
#define IDX_MESSAGE_1               3201
#define IDX_MESSAGE_2               3202
#define IDX_MESSAGE_3               3203
#define IDX_MESSAGE_4               3204
#define IDX_MESSAGE_5               3205
#define IDX_MESSAGE_6               3206
#define IDX_MESSAGE_7               3207
#define IDX_MESSAGE_8               3208
#define IDX_MESSAGE_9               3209
#define IDX_MESSAGE_10              3210
#define IDX_MESSAGE_11              3211
#define IDX_MESSAGE_12              3212
#define IDX_MESSAGE_13              3213
#define IDX_MESSAGE_14              3214
#define IDX_MESSAGE_15              3215
#define IDX_MESSAGE_16              3216
#define IDX_MESSAGE_17              3217
#define IDX_MESSAGE_18              3218
#define IDX_MESSAGE_19              3219
#define IDX_MESSAGE_20              3220
#define IDX_MESSAGE_21              3221
#define IDX_MESSAGE_22              3222
#define IDX_MESSAGE_23              3223
#define IDX_MESSAGE_24              3224
#define IDX_MESSAGE_25              3225
#define IDX_MESSAGE_26              3226
#define IDX_MESSAGE_27              3227
#define IDX_MESSAGE_28              3228
#define IDX_MESSAGE_29              3229
#define IDX_MESSAGE_30              3230
#define IDX_MESSAGE_31              3231
#define IDX_MESSAGE_32              3232
#define IDX_MESSAGE_33              3233
#define IDX_MESSAGE_34              3234
#define IDX_MESSAGE_35              3235
#define IDX_MESSAGE_36              3236
#define IDX_MESSAGE_37              3237
#define IDX_MESSAGE_38              3238
#define IDX_MESSAGE_39              3239
#define IDX_MESSAGE_40              3240
#define IDX_MESSAGE_41              3241
#define IDX_MESSAGE_42              3242
#define IDX_MESSAGE_43              3243
#define IDX_MESSAGE_44              3244
#define IDX_MESSAGE_45              3245
#define IDX_MESSAGE_46              3246
#define IDX_MESSAGE_47              3247
#define IDX_MESSAGE_48              3248
#define IDX_MESSAGE_49              3249
#define IDX_MESSAGE_50              3250
#define IDX_MESSAGE_51              3251
#define IDX_MESSAGE_52              3252
#define IDX_MESSAGE_53              3253
#define IDX_MESSAGE_54              3254
#define IDX_MESSAGE_55              3255
#define IDX_MESSAGE_56              3256
#define IDX_MESSAGE_57              3257
#define IDX_MESSAGE_58              3258
#define IDX_MESSAGE_59              3259
#define IDX_MESSAGE_60              3260
#define IDX_MESSAGE_61              3261
#define IDX_MESSAGE_62              3262
#define IDX_MESSAGE_63              3263
#define IDX_MESSAGE_64              3264
#define IDX_MESSAGE_65              3265
#define IDX_MESSAGE_66              3266
#define IDX_MESSAGE_67              3267
#define IDX_MESSAGE_68              3268
#define IDX_MESSAGE_69              3269
#define IDX_MESSAGE_70              3270
#define IDX_MESSAGE_71              3271
#define IDX_MESSAGE_72              3272
#define IDX_MESSAGE_73              3273
#define IDX_MESSAGE_74              3274
#define IDX_MESSAGE_75              3275
#define IDX_MESSAGE_76              3276
#define IDX_MESSAGE_77              3277
#define IDX_MESSAGE_78              3278
#define IDX_MESSAGE_79              3279
#define IDX_MESSAGE_80              3280
#define IDX_MESSAGE_81              3281
#define IDX_MESSAGE_82              3282
#define IDX_MESSAGE_83              3283
#define IDX_MESSAGE_84              3284
#define IDX_MESSAGE_85              3285
#define IDX_MESSAGE_86              3286
#define IDX_MESSAGE_87              3287
#define IDX_MESSAGE_88              3288
#define IDX_MESSAGE_89              3289
#define IDX_MESSAGE_90              3290
#define IDX_MESSAGE_91              3291
#define IDX_MESSAGE_92              3292
#define IDX_MESSAGE_93              3293
#define IDX_MESSAGE_94              3294
#define IDX_MESSAGE_95              3295
#define IDX_MESSAGE_96              3296
#define IDX_MESSAGE_97              3297
#define IDX_MESSAGE_98              3298
#define IDX_MESSAGE_99              3299
#define IDX_MESSAGE_100             3300
