@echo off
echo -------------------------------------------
echo  Build for ISHIELD install
echo -------------------------------------------
echo
echo  Command line:   build (install destination)  (flag for multiple disks)
echo            eg.   build f:  -multi  -stop
pause
rem  This batch file is best used with a 8MB ram disk to build the archive
rem  6 subdirectoies will be created on the temporary drive
rem
rem  Check to see if the destination drive was specified
if "%1" == "a:" goto CONTINUE
if "%1" == "b:" goto CONTINUE
if "%1" == "d:" goto CONTINUE
if "%1" == "e:" goto CONTINUE
if "%1" == "f:" goto CONTINUE
echo Invalid command structure:  Must have a destination drive parameter
goto END
:CONTINUE
%1
mkdir redist
cd redist
mkdir effects
mkdir postprocess
mkdir textures
mkdir animations
mkdir plugins
mkdir images
mkdir help
mkdir fonts
mkdir movies
mkdir maps
mkdir models
mkdir presets
mkdir scripts
cd maps
mkdir presets
cd ..
cd ..
c:
cd \openfx
copy openfx.exe   %1\redist
copy design.exe   %1\redist
copy render.exe   %1\redist
copy splash.dll   %1\redist
rem copy dlg3d.dll    %1\redist
copy eprint.dll   %1\redist
copy atm.dll      %1\redist
copy ttf.dll      %1\redist
copy update.dll   %1\redist
copy height.dll   %1\redist
copy trace.dll    %1\redist
copy bezier.dll   %1\redist
copy spin.dll     %1\redist
copy dxfout.dll   %1\redist
copy 3dsout.dll   %1\redist
copy stlout.dll   %1\redist
copy stlcon.dll   %1\redist
copy vrmlout.dll  %1\redist
copy vrmlx.dll    %1\redist
copy premap.dll   %1\redist
copy gldesign.dll %1\redist
copy animategl.dll %1\redist
copy boolean.dll  %1\redist
copy twist.dll    %1\redist
copy joins.dll    %1\redist
copy orient.dll   %1\redist
copy reverse.dll  %1\redist
copy avi_dll.dll  %1\redist
copy flic_dll.dll %1\redist
copy gif_dll.dll  %1\redist
copy winview.exe  %1\redist
copy winplay.exe  %1\redist
copy aviplay.exe  %1\redist
copy mdiview.exe  %1\redist
copy avi2mpg.exe  %1\redist
copy fli2avi.exe  %1\redist
copy fli2gif.exe  %1\redist
copy 3dview.exe   %1\redist
copy build.exe    %1\redist
copy editsnd.exe  %1\redist
copy dxfcon.dll   %1\redist
copy 3dscon.dll   %1\redist
copy jpg_map.dll  %1\redist
copy tif_map.dll  %1\redist
copy bmp_map.dll  %1\redist
copy ani_res.dll  %1\redist
copy des_res.dll  %1\redist
copy rnd_res.dll  %1\redist

cd \openfx\effects
copy *.avi %1\redist\effects
copy *.dll %1\redist\effects
copy *.efx %1\redist\effects

cd \openfx\plugins
copy *.dll %1\redist\plugins
copy *.afx %1\redist\plugins
copy sections.dfx %1\redist\plugins
cd \openfx_extra\plugins
copy *.afx %1\redist\plugins
copy rawdata.dfx %1\redist\plugins

cd \openfx\models
copy *.pth %1\redist\plugins

cd \openfx\presets
copy *.dll %1\redist\presets
copy *.pfx %1\redist\presets

cd \openfx\animations
xcopy *.ofx %1\redist\animations /s 

cd \openfx\textures
copy *.dll   %1\redist\textures
copy *.tfx   %1\redist\textures

cd \openfx\postprocess
copy *.avi  %1\redist\postprocess
copy *.dll  %1\redist\postprocess
copy *.xfx  %1\redist\postprocess
copy stars.dat %1\redist\postprocess

cd \openfx\help
copy *.chm %1\redist\help

rem cd \openfx\fonts
rem copy blippo.pfb %1\redist\fonts

cd \openfx\scripts
copy textur_c.mfx %1\redist\scripts
copy textur_s.mfx %1\redist\scripts
copy textur_c.scr %1\redist\scripts
copy textur_s.scr %1\redist\scripts

cd \openfx\maps\presets
copy textures.bmp %1\redist\maps\presets
copy tx???.gif %1\redist\maps\presets

cd \openfx\maps
copy openfx*.* %1\redist\maps

cd \openfx\models
xcopy *.mfx %1\redist\models /s 
xcopy *.gif %1\redist\models /s 
xcopy *.jpg %1\redist\models /s 
xcopy *.bmp %1\redist\models /s 

cd \openfx\shield

rem goto FINISH

if "%2" == "-stop" goto FINISH
if "%3" == "-stop" goto MULTI

icomp %1\redist\*.* data.z -i

%1
deltree /Y redist
mkdir intel
cd intel
mkdir disk1
rem mkdir disk2
rem mkdir disk3
rem mkdir disk4
rem mkdir disk5
rem mkdir disk6
rem mkdir disk7
rem mkdir disk8
rem mkdir disk9
rem mkdir disk10
rem mkdir disk11
rem mkdir disk12
rem mkdir disk13
rem mkdir disk14
cd..
c:
copy setup.exe     %1\intel\disk1
copy _setup.dll    %1\intel\disk1
copy _isdel.exe    %1\intel\disk1
copy _inst32i.ex_  %1\intel\disk1
icomp _isres.dll   %1\intel\disk1\_setup.lib
icomp ctl3d32.dll  %1\intel\disk1\_setup.lib
icomp uninst.exe   %1\intel\disk1\_setup.lib
icomp password.dll %1\intel\disk1\_setup.lib
packlist setup.lst
compile setup.rul
copy setup.pkg  %1\intel\disk1
copy setup.ins  %1\intel\disk1
del setup.ins
del setup.pkg
copy disk1.id   %1\intel\disk1
rem copy disk2.id   %1\intel\disk2
rem copy disk3.id   %1\intel\disk3
rem copy disk4.id   %1\intel\disk4
rem copy disk5.id   %1\intel\disk5
rem copy disk6.id   %1\intel\disk6
rem copy disk7.id   %1\intel\disk7
rem copy disk8.id   %1\intel\disk8
rem copy disk9.id   %1\intel\disk9
rem copy disk10.id   %1\intel\disk10
rem copy disk11.id   %1\intel\disk11
rem copy disk12.id   %1\intel\disk12
rem copy disk13.id   %1\intel\disk13
rem copy disk14.id   %1\intel\disk14
if "%2" == "-multi" goto MULTI
copy data.z     %1\intel\disk1
del data.z
goto FINISH
:MULTI
split -f1400 -d1@770 data.z
copy data.1     %1\intel\disk1
copy data.2     %1\intel\disk2
copy data.3     %1\intel\disk3
copy data.4     %1\intel\disk4
copy data.5     %1\intel\disk5
copy data.6     %1\intel\disk6
copy data.7     %1\intel\disk7
copy data.8     %1\intel\disk8
copy data.9     %1\intel\disk9
copy data.10    %1\intel\disk10
copy data.11    %1\intel\disk11
copy data.12    %1\intel\disk12
copy data.13    %1\intel\disk13
copy data.14    %1\intel\disk14
del data.*
:FINISH
echo  Build finished
:END
