/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#define imod(z,a) ((z) - ((z)/(a))*(a))

long IX=9123,IY=8844,IZ=20846; /* initial state */

void dSeedRandom(long i){
 srand(i); IX=rand(); IY=rand(); IZ=rand();
}

double dRandom(void){
 IX=imod(171*IX,30269);
 IY=imod(172*IY,20207);
 IZ=imod(170*IZ,30323);
 return (double)fmod((double)IX/30269.0+
                     (double)IY/30307.0+
                     (double)IZ/30323.0,1.0);
}

#define N 1000

void main(){
 int i;
 for(i=0;i<N;i++){
  printf("{%lf,%lf,%lf},{%lf,%lf,%lf},\n",dRandom(),dRandom(),dRandom(),
  dRandom(),dRandom(),dRandom());
 }
}
