/* --
OpenFX version 1.0 - Modelling, Animation and Rendering Package
Copyright (C) 2000 OpenFX Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the OpenFX development team via elecronic mail
at core@openfx.org, or visit our website at http://openfx.org for
further information and support details.
-- */

#define ABOUTBOX        1

/* Menu Items */

#define MENU_ABOUT      1000
#define MENU_EXIT       1001
#define MENU_NEW        1002
#define MENU_CLOSE      1003
#define MENU_OPEN       1004

/* Movie menu */
#define IDM_STOP        9
#define IDM_PLAY        10
#define IDM_HOME        11
#define IDM_END         12
#define IDM_STEP        13
#define IDM_RSTEP       14
#define IDM_RPLAY       15
#define IDM_PAUSE       16
#define IDM_LOOP        30

#define IDM_SAutosizeWindow     17
#define IDM_SAutosizeMovie      18
#define IDM_SPlaybar            19
#define IDM_SMenu               20
#define IDM_SShowName           21
#define IDM_SShowMode           22
#define IDM_SShowPos            23
#define IDM_SNotifyMedia        24
#define IDM_SNotifyMode         25
#define IDM_SNotifyPos          26
#define IDM_SNotifySize         27
#define IDM_SRecord             28
#define IDM_SErrorDlg           29

//String Table ID's

#define IDS_APPNAME             1
#define IDS_APPERR              2
#define IDS_VFWTOOOLD           3
#define IDS_UNTITLLED           4
#define IDS_NOOPEN              5
#define IDS_FILTERSTRING        6
